Package org.eclipse.emf.spi.cdo

## Class CDOSessionProtocol.UnlockObjectsResult

- java.lang.Object
- - org.eclipse.emf.spi.cdo.CDOSessionProtocol.UnlockObjectsResult

- Enclosing interface:
    CDOSessionProtocol

      public static final class CDOSessionProtocol.UnlockObjectsResult
      extends java.lang.Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnlockObjectsResult​(CDOLockState[] newLockStates, long timestamp)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOLockState[]` | `getNewLockStates()` |
    `long` | `getTimestamp()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnlockObjectsResult

          public UnlockObjectsResult​(CDOLockState[] newLockStates,
                                     long timestamp)

  - ### Method Detail

    - #### getNewLockStates

          public CDOLockState[] getNewLockStates()

    - #### getTimestamp

          public long getTimestamp()